## virtualbox-hwe 6.1.16-dfsg

=== debian/changelog ===
virtualbox-hwe (6.1.16-dfsg-6ubuntu1.20.04.2) focal; urgency=medium

  * No change rebuild in security pocket. LP: #1914279.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 29 Apr 2021 16:06:25 +0100

virtualbox-hwe (6.1.16-dfsg-6ubuntu1.20.04.1) focal; urgency=medium

  * SRU the latest package for Ubuntu focal (LP: #1901904)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 17 Dec 2020 23:02:54 +0100

virtualbox-hwe (6.1.16-dfsg-6ubuntu1.21.04.1) hirsute; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 05 Dec 2020 00:06:18 +0100

virtualbox (6.1.16-dfsg-6) unstable; urgency=medium

  * debian/patches/linux-5.10-r0drv-memobj-fix-r0.patch:
    - upstream-proposed patch to fix a build failure with linux 5.10
      (LP: #1903741)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Dec 2020 23:58:18 +0100

virtualbox-hwe (6.1.16-dfsg-5ubuntu1.21.04.1) hirsute; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Dec 2020 22:15:16 +0100

virtualbox (6.1.16-dfsg-5) unstable; urgency=medium

  * Use /run instead of /var/run, from Steve Langasek

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Dec 2020 22:12:38 +0100

virtualbox-hwe (6.1.16-dfsg-4ubuntu1.21.04.1) hirsute; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 03 Dec 2020 23:13:39 +0100

virtualbox-hwe (6.1.16-dfsg-4ubuntu1.20.10.2) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Nov 2020 21:49:01 +0100

virtualbox-hwe (6.1.16-dfsg-4ubuntu1.20.10.1) hirsute; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Nov 2020 14:19:26 +0100

virtualbox (6.1.16-dfsg-4) unstable; urgency=medium

  [ Sam Van den Eynde ]
  * Fix vboxweb.service startup script, from Sam Van den Eynde (LP: #1904123, LP: #1825598)
  * Now the script also sources /etc/vbox/vbox.cfg that can contain all the
    required variables.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Nov 2020 14:12:27 +0100

virtualbox (6.1.16-dfsg-3) unstable; urgency=medium

  * Add patch to support python3.9 (Closes: #972918)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 27 Oct 2020 08:28:19 +0100

virtualbox (6.1.16-dfsg-2) unstable; urgency=medium

  * Fixup wrong patch refresh for vnc patch
    - LP: #1901310
    - thanks Gordon Lack for the report

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 26 Oct 2020 19:08:44 +0100

virtualbox-hwe (6.1.16-dfsg-1ubuntu1.20.10.1) groovy; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Oct 2020 00:36:47 +0200

virtualbox (6.1.16-dfsg-1) unstable; urgency=medium

  * New upstream version 6.1.16-dfsg
  * Refresh patches:
    - 27-hide-host-cache-warning.patch
    - 36-fix-vnc-version-string.patch
  * Drop upstream patches:
    - changeset_86042.patch
    - new-gsoap.patch
    - virtio-core.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Oct 2020 00:32:31 +0200

virtualbox-hwe (6.1.14-dfsg-4ubuntu1.20.10.1) groovy; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 16 Sep 2020 12:05:18 +0200

virtualbox (6.1.14-dfsg-4) unstable; urgency=medium

  [ Lorenzo Puliti <plorenzo@disroot.org> ]
  * Also take care of unsigned kernel modules when installing the
    virtualbox*source packages (Closes: #970262)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 16 Sep 2020 11:58:39 +0200

virtualbox-hwe (6.1.14-dfsg-3ubuntu1.20.10.1) groovy; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 08 Sep 2020 10:08:23 +0200

virtualbox (6.1.14-dfsg-3) unstable; urgency=medium

  * Don't add VBoxREM symlink (Closes: #969793)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 08 Sep 2020 10:06:18 +0200

virtualbox-hwe (6.1.14-dfsg-2ubuntu1.20.10.1) groovy; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Sep 2020 18:51:59 +0200

virtualbox (6.1.14-dfsg-2) unstable; urgency=medium

  * Ack previous wrong NMU, not sure why it has been uploaded.
  * Rebase previous changelog entries
  * Don't use curl from upstream tarball (will be used from
    the next dfsg repack)
  * Re-enable virtionet (Closes: #969731, #969732)
  * Drop patch disable-cloud, useless
  * Drop liblzf patch: upstream and not needed anymore
    - Add debian/patches/changeset_86042.patch:
      new upstream patch for liblzf link failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Sep 2020 18:11:33 +0200

virtualbox (6.1.14-dfsg-1) unstable; urgency=medium

  * Non-maintainer upload.
  * Include the source code in the upload...
  * Support for 5.8 kernel has been added (Closes: #968660)
    and thus remove the following patches : 0001-new-tarball.patch,
    kernel-5.8-1.patch, kernel-5.8-2.patch, kernel-5.8-2.patch and
    kernel-5.8-4.patch
  * Added a new patch (disable-cloud.patch) to disable CLoud (Apparently
    this doesn't work).
  * Build with 'VBOX_WITH_VIRTIO='
  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 05 Sep 2020 21:02:05 +0200

virtualbox-hwe (6.1.12-dfsg-9ubuntu1.20.10.1) groovy; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Aug 2020 14:43:14 +0200

virtualbox (6.1.12-dfsg-9) unstable; urgency=medium

  * Try to fix another kernel 5.8 change LP: #1884652

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Aug 2020 14:37:08 +0200


=== debian/control ===
Source: virtualbox-hwe
Section: contrib/misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Virtualbox Team <team+debian-virtualbox@tracker.debian.org>
Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
           Gianfranco Costamagna <locutusofborg@debian.org>
Build-Depends: bzip2,
               debhelper-compat (= 12),
               default-jdk,
               jaxws,
               dh-python,
               dkms,
               docbook-xml,
               docbook-xsl,
               dpkg-dev (>= 1.15.6~),
               g++-multilib,
               genisoimage,
               gsoap,
               acpica-tools,
               imagemagick,
               kbuild (>= 1:0.1.9998svn3098~),
               libasound2-dev,
               libcap-dev,
               libcurl4-gnutls-dev,
               libdevmapper-dev,
               libdrm-dev,
               libegl1-mesa-dev,
               libgl1-mesa-dev,
               libglu1-mesa-dev,
               libgsoap-dev,
               liblzf-dev,
               libidl-dev,
               libopus-dev,
               libpam0g-dev,
               libpixman-1-dev,
               libpng-dev,
               libpulse-dev,
               libqt5x11extras5-dev,
               libqt5opengl5-dev,
               qttools5-dev-tools,
               libsdl1.2-dev,
               libssl-dev,
               libvncserver-dev,
               libvpx-dev,
               libx11-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxdamage-dev,
               libxext-dev,
               libxi-dev,
               libxinerama-dev,
               libxml2-dev,
               libxml2-utils,
               libxmu-dev,
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               lsb-release,
               lynx,
               makeself,
               module-assistant,
               nasm,
               python3-dev,
               texlive-fonts-extra,
               texlive-fonts-recommended,
               texlive-latex-extra,
               texlive-latex-recommended,
               uuid-dev,
               x11proto-gl-dev,
               x11proto-xf86dri-dev,
               xserver-xorg-dev-hwe-18.04,
               xsltproc,
               yasm,
               zlib1g-dev
X-Python-Version: >= 2.5
Standards-Version: 4.5.0
Homepage: https://www.virtualbox.org
Vcs-Browser: https://salsa.debian.org/pkg-virtualbox-team/virtualbox
Vcs-Git: https://salsa.debian.org/pkg-virtualbox-team/virtualbox.git

#Package: virtualbox-qt
#Architecture: amd64
#Depends: virtualbox (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
#Breaks: virtualbox (<< 4.1.6-dfsg-2~)
#Replaces: virtualbox (<< 4.1.6-dfsg-2~)
#Description: x86 virtualization solution - Qt based user interface
# VirtualBox is a free x86 virtualization solution allowing a wide range
# of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
# Linux system.
# .
# This package provides the Qt based graphical user interface for VirtualBox.
#
#Package: virtualbox
#Architecture: amd64
#Depends: adduser,
#         iproute2,
#         procps,
#         virtualbox-dkms (>= ${source:Version}) | virtualbox-source (>= ${source:Version}) | virtualbox-modules,
#         ${misc:Depends},
#         ${python3:Depends},
#         ${shlibs:Depends}
#Recommends: virtualbox-qt (= ${binary:Version}), ${shlibs:Recommends}
#Suggests: vde2, virtualbox-guest-additions-iso
#Conflicts: virtualbox-2.0,
#           virtualbox-2.1,
#           virtualbox-2.2,
#           virtualbox-3.0,
#           virtualbox-3.1,
#           virtualbox-3.2,
#           virtualbox-4.0,
#           virtualbox-4.1,
#           virtualbox-4.2,
#           virtualbox-4.3,
#           virtualbox-5.0,
#           virtualbox-5.1,
#           virtualbox-5.2,
#           virtualbox-6.0,
#           virtualbox-6.1,
#Description: x86 virtualization solution - base binaries
# VirtualBox is a free x86 virtualization solution allowing a wide range
# of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
# Linux system.
# .
# This package provides the binaries for VirtualBox. Either the virtualbox-dkms
# or the virtualbox-source package is also required in order to compile the
# kernel modules needed for virtualbox. A graphical user interface for
# VirtualBox is provided by the package virtualbox-qt.
#
#Package: virtualbox-dkms
#Section: contrib/kernel
#Architecture: amd64
#Depends: ${misc:Depends}
#Recommends: virtualbox (>= ${source:Version})
#Provides: virtualbox-modules
#Description: x86 virtualization solution - kernel module sources for dkms
# VirtualBox is a free x86 virtualization solution allowing a wide range
# of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
# Linux system.
# .
# This package provides the source code for the virtualbox kernel module to be
# build with dkms. Kernel sources or headers are required to compile this
# module.
#
#Package: virtualbox-source
#Section: contrib/kernel
#Architecture: amd64
#Depends: build-essential,
#         bzip2,
#         debhelper-compat (= 12),
#         kbuild,
#         module-assistant,
#         ${misc:Depends}
#Recommends: virtualbox (>= ${source:Version})
#Description: x86 virtualization solution - kernel module source
# VirtualBox is a free x86 virtualization solution allowing a wide range
# of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
# Linux system.
# .
# This package provides the source code for the virtualbox kernel module.
# The virtualbox package is also required in order to make use of these
# modules. Kernel sources or headers are required to compile this module.
# .
# The source is placed under /usr/src, and after decompression it can
# be built to produce a virtualbox-modules-_KVERS_ providing
# "virtualbox-modules" package.

Package: virtualbox-guest-dkms-hwe
Section: contrib/kernel
Architecture: all
Depends: ${misc:Depends}
XB-Modaliases: ${modaliases}
Replaces: virtualbox-guest-dkms
Provides: virtualbox-guest-modules,
          virtualbox-guest-dkms
Conflicts: virtualbox-guest-dkms
Description: x86 virtualization solution - guest addition module source for dkms
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the source code for the virtualbox-hwe guest addition kernel
 modules to be build with dkms. Kernel sources or headers are required to
 compile these modules.

Package: virtualbox-guest-source-hwe
Section: contrib/kernel
Architecture: all
Depends: build-essential,
         bzip2,
         debhelper-compat (= 12),
         kbuild,
         module-assistant,
         ${misc:Depends}
Replaces: virtualbox-guest-source
Provides: virtualbox-guest-source
Conflicts: virtualbox-guest-source
Description: x86 virtualization solution - guest addition module source
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the source code for the virtualbox guest addition kernel
 modules. The virtualbox-guest-utils package is also required in order to
 make use of these modules. Kernel sources or headers are required to compile
 these modules.
 .
 The source is placed under /usr/src, and after decompression it can
 be built to produce a virtualbox-guest-modules-_KVERS_ providing
 "virtualbox-guest-modules" package.

Package: virtualbox-guest-x11-hwe
Section: contrib/x11
Architecture: amd64 i386
Depends: libnotify-bin,
         x11-xserver-utils,
         virtualbox-guest-utils-hwe (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         ${xserver:Depends}
Replaces: virtualbox-guest-x11
Provides: xorg-driver-video,
          virtualbox-guest-x11
Conflicts: virtualbox-guest-x11
XB-Modaliases: ${modaliases}
Description: x86 virtualization solution - X11 guest utilities
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the X11 guest utilities for VirtualBox. These utilities
 are meant to be run inside the virtual machine.
 They provide closer integration and improve the interactive performance.

Package: virtualbox-guest-utils-hwe
Architecture: amd64 i386
Depends: adduser,
         pciutils,
         virtualbox-guest-dkms-hwe (= ${source:Version}) | virtualbox-guest-source-hwe (= ${source:Version}) | virtualbox-guest-modules-hwe,
         ${misc:Depends},
         ${shlibs:Depends}
#Conflicts: time-daemon, ntp
#Provides: time-daemon
#Replaces: time-daemon
Suggests: virtualbox-guest-x11-hwe (= ${binary:Version})
Replaces: virtualbox-guest-utils
Provides: virtualbox-guest-utils
Conflicts: virtualbox-guest-utils
Description: x86 virtualization solution - non-X11 guest utilities
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the non-X11 guest utilities for VirtualBox. These
 utilities are meant to be run inside the virtual machine.
 They provide closer integration and allow to share data through shared folders
 between the host system and the virtual machine.
 .
 Either the virtualbox-guest-dkms or the virtualbox-guest-source package is
 also required in order to compile the kernel modules needed for
 virtualbox-guest-utils.

=== debian/rules ===
#!/usr/bin/make -f

# Name of the source packages
psource:=virtualbox-source
gsource:=virtualbox-guest-source-hwe
pdkms:=virtualbox-dkms
gdkms:=virtualbox-guest-dkms-hwe

# The short upstream name
sname:=virtualbox
sxname:=virtualbox-qt
gname:=virtualbox-guest
uname:=virtualbox-guest-utils-hwe
uxname:=virtualbox-guest-x11-hwe

INSTALL_PATH:=/usr/lib/virtualbox
MAKE:=kmk

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NJOBS := -j $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

include /usr/share/dpkg/default.mk
VERSION ?= $(shell echo $(DEB_VERSION_UPSTREAM) |cut -f 1 -d "-")

DIST_NAME := $(shell lsb_release -si)
DIST_RELEASE := $(DIST_NAME)/$(shell lsb_release -sc)

SERVER_DEPENDS = $(shell cat /usr/share/xserver-xorg/videodrvdep 2>/dev/null)

export DEB_BUILD_HARDENING=1
export DEB_BUILD_HARDENING_PIE=0
export DEB_BUILD_HARDENING_FORMAT=0
export DEB_BUILD_HARDENING_BINDNOW=0

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3,dkms

override_dh_auto_configure:
	@echo Building for $(DIST_RELEASE)

ifeq ($(strip $(SERVER_DEPENDS)),)
	@echo 'error: SERVER_DEPENDS is empty'
	@exit 1
endif

	mkdir -p out
	./configure \
	    --ose \
	    --odir=$(abspath out) \
	    --with-linux="/usr" \
	    --disable-kmods \
	    --enable-webservice \
	    --enable-vde \
	    --enable-vnc

override_dh_python3:
	dh_python3 --no-ext-rename

override_dh_auto_build:
	# Building package
	. out/env.sh && $(MAKE) $(NJOBS) \
	    AUTOCFG=$(abspath out/AutoConfig.kmk) \
	    LOCALCFG=$(abspath debian/LocalConfig.kmk) \
	    PATH_OUT=$(abspath out) \
	    TOOL_YASM_AS=yasm \
	    VBOX_USE_SYSTEM_XORG_HEADERS=1 \
	    VBOX_USE_SYSTEM_GL_HEADERS=1 \
	    VBOX_NO_LEGACY_XORG_X11=1 \
	    VBOX_BUILD_PUBLISHER=_$(DIST_NAME) \
	    VBOX_WITH_REGISTRATION_REQUEST= \
	    VBOX_WITH_UPDATE_REQUEST= \
	    KBUILD_VERBOSE=2 \
	    VBOX_WITH_EXTPACK_VBOXDTRACE=

	xsltproc --nonet --stringparam section.autolabel 1 \
	    -o debian/README.Debian.html \
	    /usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl \
	    debian/virtualbox.files/README.Debian.xml

	chmod 755 debian/lynx-dump-postprocess
	export LC_ALL=C; lynx -force_html -dump debian/README.Debian.html | \
	    ./debian/lynx-dump-postprocess > debian/virtualbox.README.Debian.tmp
	mv debian/virtualbox.README.Debian.tmp debian/virtualbox.README.Debian

override_dh_auto_install:
	dh_auto_install

ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	export VBOX_INSTALL_PATH=$(INSTALL_PATH) && \
	    cd out/bin/sdk/installer && \
	    python3 ./vboxapisetup.py install --root $(CURDIR)/debian/$(sname)
endif

	sed -e 's/CVERSION/$(VERSION)/g' < debian/$(pdkms).links.in > debian/$(pdkms).links

	# Build install files for the dkms'ified sources
	sed -e 's/CVERSION/$(VERSION)/g' < debian/$(pdkms).install.in > debian/$(pdkms).install
	sed -e 's/CVERSION/$(VERSION)/g' < debian/$(gdkms).install.in > debian/$(gdkms).install

	echo "xserver:Depends=$(SERVER_DEPENDS)" >> debian/$(uxname).substvars

ifeq ($(DIST_NAME),Ubuntu)
	echo "modaliases=vboxguest(pci:v000080EEd0000CAFEsv00000000sd00000000bc*sc*i*)" >> debian/$(gdkms).substvars
	echo "modaliases=vboxx11(pci:v000080EEd0000BEEFsv00000000sd00000000bc*sc*i*)" >> debian/$(uxname).substvars
endif

override_dh_install:
ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	dh_install -p$(sname) -X out/bin/VBoxDbg.so
endif
	dh_install --remaining-packages
#ifneq (,$(filter $(uxname), $(shell dh_listpackages)))
#	install -m 644 -p -D out/bin/additions/vboxvideo_drv_system.so \
#	    debian/$(uxname)/usr/lib/xorg/modules/drivers/vboxvideo_drv.so
#endif
# check if arch-any packages are being built
ifneq (,$(filter $(sxname), $(shell dh_listpackages)))
	convert debian/$(sxname)/usr/share/icons/hicolor/32x32/apps/virtualbox.png \
	    debian/$(sxname)/usr/share/pixmaps/virtualbox.xpm
endif

ifeq ($(DIST_NAME),Ubuntu)
	install -m 644 -p -D debian/apport-hook.py \
	    debian/$(sname)/usr/share/apport/package-hooks/source_$(sname).py
	install -m 644 -p -D debian/apport-hook.py \
	    debian/$(gdkms)/usr/share/apport/package-hooks/$(gdkms).py
endif

override_dh_fixperms:
	dh_fixperms

# check if arch-any packages are being built
ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxSDL;
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxHeadless;
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxNetNAT;
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxNetDHCP;
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxNetAdpCtl;
	chmod 644 debian/$(sname)$(INSTALL_PATH)/*.r0;

	chmod 644 debian/$(sname)$(INSTALL_PATH)/sdk/bindings/xpcom/python/xpcom/*.py;
	chmod 644 debian/$(sname)$(INSTALL_PATH)/sdk/bindings/xpcom/python/xpcom/server/*.py;
	chmod 644 debian/$(sname)$(INSTALL_PATH)/sdk/bindings/xpcom/python/xpcom/client/*.py;
	chmod 644 debian/$(sname)$(INSTALL_PATH)/sdk/bindings/xpcom/java/vboxjxpcom.jar;

	chmod 755 debian/$(sname)/usr/share/virtualbox/VBox.sh;
endif

ifneq (,$(filter $(sxname), $(shell dh_listpackages)))
	chmod +s debian/$(sxname)$(INSTALL_PATH)/VirtualBoxVM;
endif

ifneq (,$(filter $(uxname), $(shell dh_listpackages)))
	chmod 755 debian/$(uxname)/usr/share/virtualbox/x11config.pl;
endif

# check if arch-all packages are being built
ifneq (,$(filter $(psource), $(shell dh_listpackages)))
	# These files have incorrect permissions, fixing it.
	chmod 755 debian/$(psource)/usr/src/modules/$(sname)/debian/rules

	# this needs all prior work to be finished
	cd debian/$(psource)/usr/src && \
	    tar -cjf $(sname).tar.bz2 modules && \
	    rm -rf modules

	chmod 644 debian/$(psource)/usr/src/$(sname).tar.bz2
endif

# check if arch-all packages are being built
ifneq (,$(filter $(gsource), $(shell dh_listpackages)))
	# These files have incorrect permissions, fixing it.
	chmod 755 debian/$(gsource)/usr/src/modules/$(gname)/debian/rules

	# this needs all prior work to be finished
	cd debian/$(gsource)/usr/src && \
	    tar -cjf $(gname).tar.bz2 modules && \
	    rm -rf modules

	chmod 644 debian/$(gsource)/usr/src/$(gname).tar.bz2
endif

override_dh_installinit:
	dh_installinit -p$(uxname) --no-start --update-rcd-params="start 45 S ."
	dh_installinit --remaining-packages --no-start

override_dh_systemd_enable:
ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	dh_systemd_enable -p$(sname) --name vboxweb --no-enable debian/vboxweb.service
endif
	dh_systemd_enable -p$(uname) debian/$(uname).service

override_dh_dkms:
	dh_dkms -V $(VERSION)

override_dh_strip:
ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	dh_strip --dbgsym-migration='$(sname)-dbg'

	# strip files not handled by dh_strip
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	set -e && for file in debian/$(sname)/usr/lib/virtualbox/*.r0; do \
	    strip --strip-debug --remove-section=.comment --remove-section=.note $${file}; \
	done
endif
	# I don't see a reason to have these. If any user complains, we can try ship it.
	rm -f debian/$(sname)/usr/lib/virtualbox/VMMRC.debug
	rm -f debian/$(sname)/usr/lib/virtualbox/VMMR0.debug
endif

override_dh_shlibdeps:
ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	dh_shlibdeps -p$(sname) -X debian/$(sname)$(INSTALL_PATH)/VBoxTestOGL -- \
	    -dRecommends debian/$(sname)$(INSTALL_PATH)/VBoxTestOGL -dDepends
endif
	dh_shlibdeps --remaining-packages

override_dh_compress:
	dh_compress -X.pdf

override_dh_auto_clean:
	dh_auto_clean

	# Cleaning package
	rm -rf out
	rm -f build-stamp
	rm -f debian/virtualbox.README.Debian debian/README.Debian.html
	rm -f debian/$(pdkms).install
	rm -f debian/$(gdkms).install
	rm -f debian/$(pdkms).links
	rm -f debian/$(gdkms).links

	find . -name "*.pyc" -exec rm -f {} \;

## virtualbox-hwe 6.1.18-dfsg

=== debian/changelog ===
virtualbox-hwe (6.1.18-dfsg-5ubuntu1.21.04.1) hirsute; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Apr 2021 10:58:18 +0200

virtualbox (6.1.18-dfsg-5) unstable; urgency=medium

  * Drop vboxweb.service too

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 08 Apr 2021 20:43:02 +0200

virtualbox (6.1.18-dfsg-4) unstable; urgency=medium

  * Drop vboxweb.service.
    Never worked, needs too much customization (LP: #1894862)
  * Add patches from upstream to fix build with kernel 5.11
    - upstream changeset: 88207 and 88212

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 08 Apr 2021 19:25:43 +0200

virtualbox-hwe (6.1.18-dfsg-3ubuntu1.21.04.2) hirsute; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 25 Feb 2021 20:00:49 +0100

virtualbox (6.1.18-dfsg-3ubuntu1) hirsute; urgency=medium

  * Support linux 5.11 (LP: #1917581):
    - drop vboxvideo and use the mainline driver

 -- Andrea Righi <andrea.righi@canonical.com>  Wed, 03 Mar 2021 14:42:43 +0000

virtualbox-hwe (6.1.18-dfsg-3ubuntu1.21.04.1) hirsute; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 25 Feb 2021 20:00:49 +0100

virtualbox (6.1.18-dfsg-3) unstable; urgency=medium

  * Support linux 5.11 (LP: #1915900):
    - debian/patches/50-kernel-5.11.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Thu, 25 Feb 2021 15:32:11 +0000

virtualbox-hwe (6.1.18-dfsg-2ubuntu1.21.04.1) hirsute; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 23 Jan 2021 21:16:33 +0100

virtualbox (6.1.18-dfsg-2) unstable; urgency=medium

  * debian/patches/kernel-5.10.patch:
    - fix 32bit guest kernel builds

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Jan 2021 12:01:33 +0100

virtualbox-hwe (6.1.18-dfsg-1ubuntu1.21.04.1) hirsute; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 Jan 2021 13:56:11 +0100

virtualbox (6.1.18-dfsg-1) unstable; urgency=medium

  [ Andrea Righi ]
  * debian/patches/linux-5.10-TASK_SIZE_MAX-replaces-USER_DS.patch:
    - upstream patch to fix build failure of virtualbox-guest-dkms with linux
      5.10 (LP: #1908734)
  * debian/patches/linux-5.10-drm-fixes.patch:
    - upstream patch to fix multiple virtualbox-guest-dkms drm's build
      failures with linux 5.10 (LP: #1908734)

  [ Gianfranco Costamagna ]
  * New upstream version 6.1.18-dfsg
  * Drop kernel 5.10 build fixes, upstream
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 Jan 2021 13:52:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: virtualbox-hwe
 Section: contrib/misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Virtualbox Team <team+debian-virtualbox@tracker.debian.org>
+Maintainer: Debian Virtualbox Team <team+debian-virtualbox@tracker.debian.org>
 Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
            Gianfranco Costamagna <locutusofborg@debian.org>
 Build-Depends: bzip2,

=== debian/rules ===
--- 
+++ 
@@ -112,10 +112,6 @@
 	dh_install -p$(sname) -X out/bin/VBoxDbg.so
 endif
 	dh_install --remaining-packages
-#ifneq (,$(filter $(uxname), $(shell dh_listpackages)))
-#	install -m 644 -p -D out/bin/additions/vboxvideo_drv_system.so \
-#	    debian/$(uxname)/usr/lib/xorg/modules/drivers/vboxvideo_drv.so
-#endif
 # check if arch-any packages are being built
 ifneq (,$(filter $(sxname), $(shell dh_listpackages)))
 	convert debian/$(sxname)/usr/share/icons/hicolor/32x32/apps/virtualbox.png \
@@ -188,9 +184,6 @@
 	dh_installinit --remaining-packages --no-start
 
 override_dh_systemd_enable:
-ifneq (,$(filter $(sname), $(shell dh_listpackages)))
-	dh_systemd_enable -p$(sname) --name vboxweb --no-enable debian/vboxweb.service
-endif
 	dh_systemd_enable -p$(uname) debian/$(uname).service
 
 override_dh_dkms:

## virtualbox-hwe 6.1.22-dfsg

=== debian/changelog ===
virtualbox-hwe (6.1.22-dfsg-2~ubuntu1.20.10.1) groovy; urgency=medium

  * SRU the latest package for Ubuntu groovy (LP: #1926937)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 24 Jun 2021 10:53:01 +0200

virtualbox (6.1.22-dfsg-2~ubuntu1.20.10.1) groovy; urgency=medium

  * SRU the latest package for Ubuntu groovy (LP: #1926937)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 22 Jun 2021 09:15:58 +0200

virtualbox-hwe (6.1.22-dfsg-2ubuntu1.21.10.1) impish; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 23 Jun 2021 15:56:50 +0200

virtualbox (6.1.22-dfsg-2) unstable; urgency=medium

  [ Andrea Righi ]
  * Support linux 5.13 with vbox-guest drivers (LP: #1929193):
    - debian/patches/40-linux-5.13-support.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 23 Jun 2021 15:45:42 +0200

virtualbox-hwe (6.1.22-dfsg-1ubuntu1.21.10.1) impish; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 May 2021 13:12:57 +0200

virtualbox (6.1.22-dfsg-1) unstable; urgency=medium

  * New upstream version 6.1.22-dfsg

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 May 2021 12:07:27 +0200

virtualbox-hwe (6.1.20-dfsg-1ubuntu1.21.10.1) impish; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Apr 2021 22:49:31 +0200

virtualbox (6.1.20-dfsg-1) unstable; urgency=medium

  * New upstream version 6.1.20-dfsg
  * Drop patches now upstream:
    - 50-kernel-5.11.patch
    - 88207-kernel-5.11.patch
    - 88212-kernel-5.11.patch
    - kernel-5.10.patch
    - python3.9.patch
  * Refresh patches:
    - 27-hide-host-cache-warning.patch
    - 36-fix-vnc-version-string.patch
    - no-vboxrem.patch
  * Add R^3: no

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Apr 2021 22:38:00 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
                genisoimage,
                gsoap,
                acpica-tools,
-               imagemagick,
                kbuild (>= 1:0.1.9998svn3098~),
                libasound2-dev,
                libcap-dev,
@@ -75,6 +74,7 @@
                zlib1g-dev
 X-Python-Version: >= 2.5
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://www.virtualbox.org
 Vcs-Browser: https://salsa.debian.org/pkg-virtualbox-team/virtualbox
 Vcs-Git: https://salsa.debian.org/pkg-virtualbox-team/virtualbox.git

=== debian/rules ===
--- 
+++ 
@@ -112,11 +112,6 @@
 	dh_install -p$(sname) -X out/bin/VBoxDbg.so
 endif
 	dh_install --remaining-packages
-# check if arch-any packages are being built
-ifneq (,$(filter $(sxname), $(shell dh_listpackages)))
-	convert debian/$(sxname)/usr/share/icons/hicolor/32x32/apps/virtualbox.png \
-	    debian/$(sxname)/usr/share/pixmaps/virtualbox.xpm
-endif
 
 ifeq ($(DIST_NAME),Ubuntu)
 	install -m 644 -p -D debian/apport-hook.py \

## virtualbox-hwe 6.1.26

=== src/VBox/Additions/common/VBoxGuest/linux/Makefile ===
# $Id: Makefile $
## @file
# VirtualBox Guest Additions Module Makefile.
#

#
# Copyright (C) 2006-2020 Oracle Corporation
#
# This file is part of VirtualBox Open Source Edition (OSE), as
# available from http://www.virtualbox.org. This file is free software;
# you can redistribute it and/or modify it under the terms of the GNU
# General Public License (GPL) as published by the Free Software
# Foundation, in version 2 as it comes in the "COPYING" file of the
# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
#
# The contents of this file may alternatively be used under the terms
# of the Common Development and Distribution License Version 1.0
# (CDDL) only, as it comes in the "COPYING.CDDL" file of the
# VirtualBox OSE distribution, in which case the provisions of the
# CDDL are applicable instead of those of the GPL.
#
# You may elect to license modified versions of this file under the
# terms and conditions of either the GPL or the CDDL or both.
#

# Linux kbuild sets this to our source directory if we are called from there
obj ?= $(CURDIR)
include $(obj)/Makefile-header.gmk
VBOXGUEST_DIR = $(VBOX_MODULE_SRC_DIR)

#VBOX_WITHOUT_COMBINED_SOURCES=1

VBOXMOD_NAME = vboxguest
VBOXMOD_OBJS = \
	VBoxGuest-linux.o \
	VBoxGuest.o
ifndef VBOX_WITHOUT_COMBINED_SOURCES
VBOXMOD_OBJS += \
	common/string/strformatrt.o \
	combined-agnostic.o \
	combined-os-specific.o
else  # VBOX_WITHOUT_COMBINED_SOURCES
VBOXMOD_OBJS += \
	VBoxGuestR0LibGenericRequest.o \
	VBoxGuestR0LibHGCMInternal.o \
	VBoxGuestR0LibInit.o \
	VBoxGuestR0LibPhysHeap.o \
	VBoxGuestR0LibVMMDev.o \
	r0drv/alloc-r0drv.o \
	r0drv/initterm-r0drv.o \
	r0drv/memobj-r0drv.o \
	r0drv/mpnotification-r0drv.o \
	r0drv/powernotification-r0drv.o \
	r0drv/linux/alloc-r0drv-linux.o \
	r0drv/linux/assert-r0drv-linux.o \
	r0drv/linux/initterm-r0drv-linux.o \
	r0drv/linux/memobj-r0drv-linux.o \
	r0drv/linux/memuserkernel-r0drv-linux.o \
	r0drv/linux/mp-r0drv-linux.o \
	r0drv/linux/mpnotification-r0drv-linux.o \
	r0drv/linux/process-r0drv-linux.o \
	r0drv/linux/semevent-r0drv-linux.o \
	r0drv/linux/semeventmulti-r0drv-linux.o \
	r0drv/linux/semfastmutex-r0drv-linux.o \
	r0drv/linux/semmutex-r0drv-linux.o \
	r0drv/linux/spinlock-r0drv-linux.o \
	r0drv/linux/thread-r0drv-linux.o \
	r0drv/linux/thread2-r0drv-linux.o \
	r0drv/linux/time-r0drv-linux.o \
	r0drv/linux/timer-r0drv-linux.o \
	r0drv/linux/RTLogWriteDebugger-r0drv-linux.o \
	r0drv/generic/semspinmutex-r0drv-generic.o \
	common/alloc/alloc.o \
	common/err/RTErrConvertFromErrno.o \
	common/err/RTErrConvertToErrno.o \
	common/err/errinfo.o \
	common/log/log.o \
	common/log/logellipsis.o \
	common/log/logrel.o \
	common/log/logrelellipsis.o \
	common/log/logcom.o \
	common/log/logformat.o \
	common/misc/RTAssertMsg1Weak.o \
	common/misc/RTAssertMsg2.o \
	common/misc/RTAssertMsg2Add.o \
	common/misc/RTAssertMsg2AddWeak.o \
	common/misc/RTAssertMsg2AddWeakV.o \
	common/misc/RTAssertMsg2Weak.o \
	common/misc/RTAssertMsg2WeakV.o \
	common/misc/assert.o \
	common/misc/thread.o \
	common/string/RTStrCat.o \
	common/string/RTStrCmp.o \
	common/string/RTStrCopy.o \
	common/string/RTStrCopyEx.o \
	common/string/RTStrCopyP.o \
	common/string/RTStrICmpAscii.o \
	common/string/RTStrNICmpAscii.o \
	common/string/RTStrNCmp.o \
	common/string/RTStrNLen.o \
	common/string/stringalloc.o \
	common/string/strformat.o \
	common/string/strformatnum.o \
	common/string/strformatrt.o \
	common/string/strformattype.o \
	common/string/strprintf.o \
	common/string/strtonum.o \
	common/string/utf-8.o \
	common/table/avlpv.o \
	common/time/time.o \
	generic/RTAssertShouldPanic-generic.o \
	generic/RTLogWriteStdErr-stub-generic.o \
	generic/RTLogWriteStdOut-stub-generic.o \
	generic/RTMpGetCoreCount-generic.o \
	generic/RTSemEventWait-2-ex-generic.o \
	generic/RTSemEventWaitNoResume-2-ex-generic.o \
	generic/RTSemEventMultiWait-2-ex-generic.o \
	generic/RTSemEventMultiWaitNoResume-2-ex-generic.o \
	generic/rtStrFormatKernelAddress-generic.o \
	generic/errvars-generic.o \
	generic/mppresent-generic.o \
	VBox/log-vbox.o \
	VBox/logbackdoor.o
 ifeq ($(BUILD_TARGET_ARCH),amd64)
VBOXMOD_OBJS += common/alloc/heapsimple.o
 endif
endif # VBOX_WITHOUT_COMBINED_SOURCES
ifeq ($(BUILD_TARGET_ARCH),x86)
VBOXMOD_OBJS += \
	common/math/gcc/divdi3.o \
	common/math/gcc/divmoddi4.o \
	common/math/gcc/moddi3.o \
	common/math/gcc/udivdi3.o \
	common/math/gcc/udivmoddi4.o \
	common/math/gcc/umoddi3.o \
	common/math/gcc/qdivrem.o
endif

VBOXMOD_DEFS = \
	VBOX \
	RT_OS_LINUX \
	IN_RING0 \
	IN_RT_R0 \
	IN_GUEST \
	IN_GUEST_R0 \
	IN_MODULE \
	RT_WITH_VBOX \
	VBGL_VBOXGUEST \
	VBOX_WITH_HGCM
ifeq ($(BUILD_TARGET_ARCH),amd64)
VBOXMOD_DEFS += VBOX_WITH_64_BITS_GUESTS
endif
ifeq ($(KERN_VERSION),24)
VBOXMOD_DEFS += EXPORT_SYMTAB
endif

VBOXMOD_INCL = \
	$(VBOXGUEST_DIR) \
	$(VBOXGUEST_DIR)include \
	$(VBOXGUEST_DIR)r0drv/linux

VBOXMOD_CFLAGS := $(call VBOX_GCC_CHECK_CC,-Wno-declaration-after-statement,-Wno-declaration-after-statement,,)
VBOXMOD_CFLAGS += $(call VBOX_GCC_CHECK_CC,-fno-pie,-fno-pie,,)
ifneq ($(KERN_VERSION),24)
VBOXMOD_CFLAGS += -include $(VBOXGUEST_DIR)include/VBox/VBoxGuestMangling.h
endif

VBOXMOD_CLEAN = \
	. \
	linux \
	r0drv \
	generic \
	r0drv/linux \
	r0drv/generic \
	VBox \
	common/alloc \
	common/err \
	common/log \
	common/math/gcc \
	common/misc \
	common/string \
	common/table \
	common/time

include $(obj)/Makefile-footer.gmk

check: $(VBOXMOD_NAME)
	@if ! readelf -p __ksymtab_strings vboxguest.ko | grep -E "\[.*\]  *(RT|g_..*RT.*)"; then \
	    echo "All exported IPRT symbols are properly renamed!"; \
	 else \
	    echo "error: Some exported IPRT symbols was not properly renamed! See above." >&2; \
	    false; \
	 fi

## virtualbox-hwe 6.1.26-dfsg

=== debian/changelog ===
virtualbox-hwe (6.1.26-dfsg-4ubuntu1.21.10.1) impish; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Sep 2021 08:34:22 +0200

virtualbox (6.1.26-dfsg-4) unstable; urgency=medium

  * debian/patches/new-mesa.patch
    - add new upstream proposed patch to fix whitescreens with new
      mesa. (thanks Klaus for the patch)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Sep 2021 08:29:58 +0200

virtualbox-hwe (6.1.26-dfsg-3ubuntu1.21.10.1) impish; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 05 Aug 2021 16:15:16 +0200

virtualbox (6.1.26-dfsg-3) unstable; urgency=medium

  * Drop broken old symlinks (Closes: #991901)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 05 Aug 2021 16:14:08 +0200

virtualbox-hwe (6.1.26-dfsg-2ubuntu1.21.10.1) impish; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Jul 2021 15:22:22 +0200

virtualbox (6.1.26-dfsg-2) unstable; urgency=medium

  * debian/patches/90377.patch:
    - cherry-pick upstream build fix

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Jul 2021 11:31:03 +0200

virtualbox-hwe (6.1.26-dfsg-1ubuntu1.21.10.1) impish; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Jul 2021 11:32:06 +0200

virtualbox (6.1.26-dfsg-1) unstable; urgency=medium

  * New upstream version 6.1.26-dfsg
  * Delete 40-linux-5.13-support.patch
  * Patch refresh

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Jul 2021 11:26:57 +0200

virtualbox-hwe (6.1.22-dfsg-4ubuntu1.21.10.1) impish; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 23 Jul 2021 12:24:03 +0200

virtualbox (6.1.22-dfsg-4) unstable; urgency=medium

  * Set R^3 to binary-target, chmod +s in dh_fixperms needs root to work
    Note: Debian implementation seems to set +s during build regardless
    of the set, while Ubuntu implementation failed to set +s leading to
    non-working virtualbox binary

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 23 Jul 2021 10:21:57 +0200

virtualbox-hwe (6.1.22-dfsg-3ubuntu1.21.10.1) impish; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Jul 2021 09:32:02 +0200

virtualbox (6.1.22-dfsg-3) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Drop virtualbox guest modules dkms and sources, as in Ubuntu and Debian,
    all kernel flavours provide those from the upstream kernel since at least
    focal 20.04 LTS.
    Thus these are not needed anymore. LP: #1933248

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Jul 2021 09:28:22 +0200

=== debian/control ===
--- 
+++ 
@@ -74,7 +74,7 @@
                zlib1g-dev
 X-Python-Version: >= 2.5
 Standards-Version: 4.5.0
-Rules-Requires-Root: no
+Rules-Requires-Root: binary-targets
 Homepage: https://www.virtualbox.org
 Vcs-Browser: https://salsa.debian.org/pkg-virtualbox-team/virtualbox
 Vcs-Git: https://salsa.debian.org/pkg-virtualbox-team/virtualbox.git
@@ -164,50 +164,6 @@
 # The source is placed under /usr/src, and after decompression it can
 # be built to produce a virtualbox-modules-_KVERS_ providing
 # "virtualbox-modules" package.
-
-Package: virtualbox-guest-dkms-hwe
-Section: contrib/kernel
-Architecture: all
-Depends: ${misc:Depends}
-XB-Modaliases: ${modaliases}
-Replaces: virtualbox-guest-dkms
-Provides: virtualbox-guest-modules,
-          virtualbox-guest-dkms
-Conflicts: virtualbox-guest-dkms
-Description: x86 virtualization solution - guest addition module source for dkms
- VirtualBox is a free x86 virtualization solution allowing a wide range
- of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
- Linux system.
- .
- This package provides the source code for the virtualbox-hwe guest addition kernel
- modules to be build with dkms. Kernel sources or headers are required to
- compile these modules.
-
-Package: virtualbox-guest-source-hwe
-Section: contrib/kernel
-Architecture: all
-Depends: build-essential,
-         bzip2,
-         debhelper-compat (= 12),
-         kbuild,
-         module-assistant,
-         ${misc:Depends}
-Replaces: virtualbox-guest-source
-Provides: virtualbox-guest-source
-Conflicts: virtualbox-guest-source
-Description: x86 virtualization solution - guest addition module source
- VirtualBox is a free x86 virtualization solution allowing a wide range
- of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
- Linux system.
- .
- This package provides the source code for the virtualbox guest addition kernel
- modules. The virtualbox-guest-utils package is also required in order to
- make use of these modules. Kernel sources or headers are required to compile
- these modules.
- .
- The source is placed under /usr/src, and after decompression it can
- be built to produce a virtualbox-guest-modules-_KVERS_ providing
- "virtualbox-guest-modules" package.
 
 Package: virtualbox-guest-x11-hwe
 Section: contrib/x11
@@ -236,7 +192,6 @@
 Architecture: amd64 i386
 Depends: adduser,
          pciutils,
-         virtualbox-guest-dkms-hwe (= ${source:Version}) | virtualbox-guest-source-hwe (= ${source:Version}) | virtualbox-guest-modules-hwe,
          ${misc:Depends},
          ${shlibs:Depends}
 #Conflicts: time-daemon, ntp

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,7 @@
 
 # Name of the source packages
 psource:=virtualbox-source
-gsource:=virtualbox-guest-source-hwe
 pdkms:=virtualbox-dkms
-gdkms:=virtualbox-guest-dkms-hwe
 
 # The short upstream name
 sname:=virtualbox
@@ -98,12 +96,10 @@
 
 	# Build install files for the dkms'ified sources
 	sed -e 's/CVERSION/$(VERSION)/g' < debian/$(pdkms).install.in > debian/$(pdkms).install
-	sed -e 's/CVERSION/$(VERSION)/g' < debian/$(gdkms).install.in > debian/$(gdkms).install
 
 	echo "xserver:Depends=$(SERVER_DEPENDS)" >> debian/$(uxname).substvars
 
 ifeq ($(DIST_NAME),Ubuntu)
-	echo "modaliases=vboxguest(pci:v000080EEd0000CAFEsv00000000sd00000000bc*sc*i*)" >> debian/$(gdkms).substvars
 	echo "modaliases=vboxx11(pci:v000080EEd0000BEEFsv00000000sd00000000bc*sc*i*)" >> debian/$(uxname).substvars
 endif
 
@@ -116,8 +112,6 @@
 ifeq ($(DIST_NAME),Ubuntu)
 	install -m 644 -p -D debian/apport-hook.py \
 	    debian/$(sname)/usr/share/apport/package-hooks/source_$(sname).py
-	install -m 644 -p -D debian/apport-hook.py \
-	    debian/$(gdkms)/usr/share/apport/package-hooks/$(gdkms).py
 endif
 
 override_dh_fixperms:
@@ -161,19 +155,6 @@
 	chmod 644 debian/$(psource)/usr/src/$(sname).tar.bz2
 endif
 
-# check if arch-all packages are being built
-ifneq (,$(filter $(gsource), $(shell dh_listpackages)))
-	# These files have incorrect permissions, fixing it.
-	chmod 755 debian/$(gsource)/usr/src/modules/$(gname)/debian/rules
-
-	# this needs all prior work to be finished
-	cd debian/$(gsource)/usr/src && \
-	    tar -cjf $(gname).tar.bz2 modules && \
-	    rm -rf modules
-
-	chmod 644 debian/$(gsource)/usr/src/$(gname).tar.bz2
-endif
-
 override_dh_installinit:
 	dh_installinit -p$(uxname) --no-start --update-rcd-params="start 45 S ."
 	dh_installinit --remaining-packages --no-start
@@ -217,9 +198,7 @@
 	rm -f build-stamp
 	rm -f debian/virtualbox.README.Debian debian/README.Debian.html
 	rm -f debian/$(pdkms).install
-	rm -f debian/$(gdkms).install
 	rm -f debian/$(pdkms).links
-	rm -f debian/$(gdkms).links
 
 	find . -name "*.pyc" -exec rm -f {} \;
